# $Revision: 1.12 $, $Date: 2006-10-29 20:15:09 $
Summary:	MSN Messenger clone for Linux
Summary(de):	MSN Messenger-Klon fr Linux
Summary(fr):	Clne MSN Messenger pour Linux
Summary(pl):	Klon MSN Messengera dla Linuksa
Name:		amsn
Version:	0.95
Release:	2
Epoch:		0
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/amsn/%{name}-%{version}.tar.gz
# Source0-md5:	f57e3c2c78a3c7d64c93a78be88846aa
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libng_plugin_init.patch
URL:		http://amsn.sourceforge.net/
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	sed >= 4.0
BuildRequires:	tcl-devel >= 8.3
BuildRequires:	tk-devel >= 8.3
# IM's convert is needed to display pictures (buddy icons).
Requires:	ImageMagick
Requires:	tcl >= 8.3
# MSN Protocol 9 won't let you in without SSL anymore.
Requires:	tcl-tls
Requires:	tk >= 8.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Tcl/Tk clone that implements the Microsoft Messenger (MSN) for
Unix, Windows, or Macintosh platforms. It supports file transfers,
groups, and many more features. Visit http://amsn.sourceforge.net/ for
details. This is an ongoing project, and it is already going pretty
well.

%description -l de
amsn ist ein Microsoft Messenger (MSN) Client fr UNIX, Windows und
Macintosh, der in Tcl/Tk geschrieben ist. Es untersttzt
Dateibertragungen, Gruppen uvm. Begeben Sie sich auf
http://amsn.sourceforge.net/ um mehr ber dieses Projekt zu erfahren.

%description -l fr
amsn est un client Microsoft Messenger (MSN) pour UNIX, Windows et
Macintosh crit en Tcl/Tk. Il supporte les tranferts de fichiers, les
groupes et beaucoup d'autres possibilits. Visitez
http://amsn.sourceforge.net/ pour de plus amples dtails.

%description -l pl
amsn to klient Microsoft Messengera (MSN) dla Uniksw, Windows i
Macintosha napisany w Tcl/Tk. Obsuguje przesyanie plikw, grupy i
wiele wicej moliwoci - szczegy pod adresem
<http://amsn.sourceforge.net/>. Projekt jest nadal rozwijany i ju
dziaa cakiem dobrze.

%prep
%setup -q

# undos some source files
find -name '*.tcl' -print0 | xargs -0 sed -i -e 's,\r$,,'

%patch0 -p1
%patch1 -p1

%build
%configure \
	CFLAGS="%{rpmcflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}

# FIXME: FHS?
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{_bindir} \
	dstdir=$RPM_BUILD_ROOT%{_libdir} \
	slnkdir=$RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
rm -f $RPM_BUILD_ROOT%{_libdir}/applications/amsn.desktop

for f in amsn{,-remote{,-CLI}}; do
	rm $RPM_BUILD_ROOT%{_bindir}/$f
	ln -s ../%{_lib}/%{name}/$f $RPM_BUILD_ROOT%{_bindir}
done

# remove junk
rm -rf $RPM_BUILD_ROOT%{_libdir}/doc/amsn-0.91
rm -rf $RPM_BUILD_ROOT%{_libdir}/amsn/amsn.{desktop,spec,debianmenu}
# docs in docs
rm -rf $RPM_BUILD_ROOT%{_libdir}/amsn/docs
rm -rf $RPM_BUILD_ROOT%{_libdir}/amsn/{AGREEMENT,CREDITS,GNUGPL,INSTALL,README,HELP,FAQ,TODO,Makefile,cvs_date}
rm -rf $RPM_BUILD_ROOT%{_libdir}/amsn/utils/*/test.tcl
# random binary for PPC
rm -rf $RPM_BUILD_ROOT%{_libdir}/amsn/sndplay

mv $RPM_BUILD_ROOT%{_libdir}/icons $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ GNUGPL HELP README TODO CREDITS
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/a[!m]*
%{_libdir}/%{name}/[!a]*
%attr(755,root,root) %{_libdir}/%{name}/amsn*

%{_iconsdir}/hicolor/*/*.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amsn.spec,v $
Revision 1.12  2006-10-29 20:15:09  glen
- missing dir; rel 2

Revision 1.11  2006/10/15 18:53:33  glen
- amd64 fix

Revision 1.10  2006/10/15 18:48:39  glen
- adapter, check files cleanup

Revision 1.9  2006/06/06 22:10:53  radek
- version 0.95
- removed -lang_codes.patch (pointless)
- some FHS fixes (could use more work + patching)

Revision 1.8  2005/05/17 06:40:46  ankry
- desktop fixed (desktop patch), use iso language codes (lang_codes patch), rel. 3

Revision 1.7  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.6  2004/12/06 21:47:11  ankry
- added DESTDIR patch, rel. 2

Revision 1.5  2004/12/06 16:37:25  glen
- rel 1; STBR

Revision 1.4  2004/12/05 01:32:52  glen
- remove more junk
- modify desktop file in %prep (so could work with --short-circuit)

Revision 1.3  2004/12/04 14:37:41  qboosh
- pl, some cleanups

Revision 1.2  2004/12/04 00:19:13  glen
- noarch when built without imlib

Revision 1.1  2004/12/04 00:09:41  glen
- initial for PLD
